using System;
using Server;
using Server.Items;
using Server.Misc;

namespace Server.Mobiles
{
	[CorpseName( "a dagon corpse" )]
	public class Dagon : BaseCreature
	{
		[Constructable]
		public Dagon() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "cthulhu" );
			HiddenTitle = "the dagon";
			Body = 162;
			BaseSoundID = 353;

			SetStr( 736, 785 );
			SetDex( 226, 245 );
			SetInt( 481, 505 );

			SetHits( 422, 451 );

			SetDamage( 19, 26 );

			SetSkill( SkillName.Concentration, 85.1, 100.0 );
			SetSkill( SkillName.Magery, 85.1, 100.0 );
			SetSkill( SkillName.MagicResist, 80.2, 110.0 );
			SetSkill( SkillName.Tactics, 60.1, 80.0 );
			SetSkill( SkillName.HandToHand, 40.1, 50.0 );

			Fame = 15500;
			Karma = -15500;

			VirtualArmor = 50;

			CanSwim = true;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich );
			AddLoot( LootPack.Average );
			AddLoot( LootPack.MedScrolls );
		}

		public override bool BleedImmune{ get{ return true; } }
		public override int Hides{ get{ return 18; } }
		public override int Meat{ get{ return 20; } }
		public override MeatType MeatType{ get{ return MeatType.Fish; } }

		public Dagon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}